import {Component, Input} from "@angular/core";
import {Hotel} from "./hotel"
import {CurrencyPipe} from "@angular/common";
import {Lang} from "../idek/lang";
import {StarComponent} from "../star/star.component";
import {HotelService} from "../service/hotel.service";


@Component({
  standalone: true,
  selector: 'app-hotel',
  imports: [
    CurrencyPipe,
    StarComponent
  ],
  template: `
    <div style="border: white 2px; border-radius: 2px">
      <p class="name">Name: {{ hotel.hotelName }}</p>
      <p>Beschreibung: {{ hotel.description }}</p>
      <p>Preis: {{ hotel.price | currency: currency.currency : 'symbol' : '2.2-2' : currency.code }}/nacht</p>
      <p>Sterne: <app-star [rating]="hotel.rating"></app-star></p>
      <img width="64" height="64" src="{{hotel.imageUrl}}">
    </div>
  `
})
export class HotelComponent {
  @Input()
  public currency: Lang = {name: 'de', code: 'de-DE', currency: 'EUR'}
  @Input()
  public hotel!: Hotel;

  constructor() {
  }
}
